parameters:    

doctrine:
    dbal:        
        driver: 'pdo_mysql'
        server_version: '5.7'
        charset: utf8mb4
        default_table_options:
            charset: utf8mb4
            collate: utf8mb4_unicode_ci

        url: '%env(resolve:DATABASE_URL)%'
    orm:
        auto_generate_proxy_classes: true
        naming_strategy: doctrine.orm.naming_strategy.underscore
        auto_mapping: true
        mappings:
            App:
                is_bundle: false
                type: attribute
                dir: '%kernel.project_dir%/src/Entity'
                prefix: 'App\Entity'
                alias: App
        dql:
            datetime_functions:
                            month:    DoctrineExtensions\Query\Mysql\Month
                            year:     DoctrineExtensions\Query\Mysql\Year
                            day:      DoctrineExtensions\Query\Mysql\Day
                            hour:     DoctrineExtensions\Query\Mysql\Hour
                            minute:   DoctrineExtensions\Query\Mysql\Minute
                            datediff: DoctrineExtensions\Query\Mysql\DateDiff
                            timestampdiff: DoctrineExtensions\Query\Mysql\TimestampDiff
        filters: 
            softdeleteable: 
                class: Gedmo\SoftDeleteable\Filter\SoftDeleteableFilter           
                enabled: true
            sucursalFilter: 
                class: App\Doctrine\SucursalFilter
                enabled: false        